user  nginx;
worker_processes auto;
pid /var/run/nginx.pid;
events {
  worker_connections  1024;
}
http {
  include    /etc/nginx/mime.types;

  access_log  off;
  error_log   off;
  keepalive_timeout  65;
  
  server {
    listen 80;
    server_name release-name-textapi localhost;
    
    location / {
      return 200;
    }
  }

  server {
    listen 80;
    server_name validation.textapi.sub.uni-goettingen.de;
    location / {
      proxy_pass   http://localhost:8000;
    }

  }

  server {
    listen 80;
    server_name textapi.sub.uni-goettingen.de;
    add_header Referrer-Policy "no-referrer";
    index index.html;

    location / {
      root /usr/share/nginx/html;
    }
  }
}
